Skip to main content
GET

Authorizations

X-API-Key
string
header
required

Path Parameters

businessPhoneNumber
string
required

The WhatsApp business phone number in E.164 format.

Example:

"+16315551111"

groupId
string
required

WhatsApp group ID.

Example:

"120363345678901234@g.us"

Response

Successfully retrieved the group.

WhatsApp group object.

groupId
string

WhatsApp group ID.

Example:

"120363345678901234@g.us"

subject
string

The group subject.

Maximum string length: 128
Example:

"New Purchase Inquiry"

description
string

The group description.

Maximum string length: 2048
Example:

"Group for purchase inquiries."

joinApprovalMode
enum<string>

WhatsApp group join approval mode.

  • approval_required: New members must be approved before joining.
  • auto_approve: New members can join without approval.
Available options:
approval_required,
auto_approve
Example:

"auto_approve"

suspended
boolean

Whether the group is suspended.

Example:

false

creationTimestamp
integer<int64>

Unix timestamp indicating when the group was created.

Example:

1739321024

totalParticipantCount
integer

Total number of participants in the group.

Example:

3

participants
object[]

Group participants.